[supervisord]
nodaemon=true
logfile=/var/log/supervisor/supervisord.log
pidfile=/var/run/supervisord.pid
childlogdir=/var/log/supervisor

[program:gradio]
command=python demo_gradio.py
directory=/app
autostart=true
autorestart=true
stderr_logfile=/var/log/supervisor/gradio.err.log
stdout_logfile=/var/log/supervisor/gradio.out.log
environment=PYTHONUNBUFFERED="1"

[program:api]
command=uvicorn api.main:app --host 0.0.0.0 --port 6078
directory=/app
autostart=true
autorestart=true
stderr_logfile=/var/log/supervisor/api.err.log
stdout_logfile=/var/log/supervisor/api.out.log
environment=PYTHONUNBUFFERED="1"
